List static proxies
curl --request GET \
--url https://api.floppydata.net/v2/proxy/static \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.floppydata.net/v2/proxy/static"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.floppydata.net/v2/proxy/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": 1,
"ip": "123.45.67.89",
"proxyType": "isp",
"countryCode": "US",
"countryName": "United States",
"connection": {
"host": "123.45.67.89",
"port": 1080,
"username": "USERNAME",
"password": "PASSWORD",
"connectionString": "http://USERNAME:PASSWORD@123.45.67.89:1080"
},
"ownedFrom": "2026-02-19T09:55:59.936291Z",
"ownedUntil": null,
"lastSwapAt": "2026-02-19T09:55:59.936291Z"
}
],
"pendingCount": 1
}{
"error": {
"code": "invalid_request",
"message": "Invalid request parameters.",
"details": {
"issues": [
{
"path": "country",
"code": "invalid_format",
"message": "Expected a 2-letter country code."
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"details": {}
}
}{
"error": {
"code": "insufficient_balance",
"message": "Insufficient proxy traffic balance.",
"details": {}
}
}{
"error": {
"code": "forbidden",
"message": "Forbidden",
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Rotating proxy credential was not found.",
"details": {}
}
}{
"error": {
"code": "account_not_configured",
"message": "Account is not configured for proxy products.",
"details": {}
}
}{
"error": {
"code": "internal_error",
"message": "Internal Server Error",
"details": {}
}
}{
"error": {
"code": "upstream_error",
"message": "Failed to fetch data from an upstream service.",
"details": {
"upstreamStatus": 503
}
}
}Static
List Proxies
Returns static proxy inventory for the authenticated account with a canonical connection.connectionString copy-paste URL. Static proxies are inventory-only in v2; usage reporting is not available for this product.
GET
https://api.floppydata.net
/
v2
/
proxy
/
static
List static proxies
curl --request GET \
--url https://api.floppydata.net/v2/proxy/static \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.floppydata.net/v2/proxy/static"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.floppydata.net/v2/proxy/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": 1,
"ip": "123.45.67.89",
"proxyType": "isp",
"countryCode": "US",
"countryName": "United States",
"connection": {
"host": "123.45.67.89",
"port": 1080,
"username": "USERNAME",
"password": "PASSWORD",
"connectionString": "http://USERNAME:PASSWORD@123.45.67.89:1080"
},
"ownedFrom": "2026-02-19T09:55:59.936291Z",
"ownedUntil": null,
"lastSwapAt": "2026-02-19T09:55:59.936291Z"
}
],
"pendingCount": 1
}{
"error": {
"code": "invalid_request",
"message": "Invalid request parameters.",
"details": {
"issues": [
{
"path": "country",
"code": "invalid_format",
"message": "Expected a 2-letter country code."
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized",
"details": {}
}
}{
"error": {
"code": "insufficient_balance",
"message": "Insufficient proxy traffic balance.",
"details": {}
}
}{
"error": {
"code": "forbidden",
"message": "Forbidden",
"details": {}
}
}{
"error": {
"code": "not_found",
"message": "Rotating proxy credential was not found.",
"details": {}
}
}{
"error": {
"code": "account_not_configured",
"message": "Account is not configured for proxy products.",
"details": {}
}
}{
"error": {
"code": "internal_error",
"message": "Internal Server Error",
"details": {}
}
}{
"error": {
"code": "upstream_error",
"message": "Failed to fetch data from an upstream service.",
"details": {
"upstreamStatus": 503
}
}
}Use
items[n].connection.connectionString as the copy-paste proxy URL.Was this page helpful?
⌘I